> For the complete documentation index, see [llms.txt](https://docs.febucci.com/text-animator-unity/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.febucci.com/text-animator-unity/2.x-zh/ji-cheng/ji-cheng-de-cha-jian-yu-dui-hua-xi-tong/shi-yong-yu-unity-de-dui-hua-xi-tong.md).

# 适用于 Unity 的对话系统

* 使用 TextMeshPro 而不是 Unity 内置的 Text ([更多信息](https://www.pixelcrushers.com/dialogue_system/manual2x/html/text_mesh_pro.html)).
* 在要动画化的文本游戏对象上移除 Dialogue System 的打字机组件
* 向你的对话文本添加组件 "TextAnimator\_TMP" 和 "TypewriterByCharacter"（或 "TypewriterByWord"）。如同在 [集成的插件与对话系统](/text-animator-unity/2.x-zh/ji-cheng/ji-cheng-de-cha-jian-yu-dui-hua-xi-tong.md).

{% hint style="warning" %}
*确保已移除 DialogueSystem 的 Typewriter 组件，只使用 TextAnimator 的组件，否则可能会产生冲突。*
{% endhint %}

{% hint style="info" %}
你也可以在 PixelCrushers 的附加设置指南和组件中找到 [与 Text Animator 的集成页面](https://www.pixelcrushers.com/dialogue_system/manual2x/html/text_animator.html) 。
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.febucci.com/text-animator-unity/2.x-zh/ji-cheng/ji-cheng-de-cha-jian-yu-dui-hua-xi-tong/shi-yong-yu-unity-de-dui-hua-xi-tong.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
